Israel company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-il-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "520013954"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-il-companies"
payload = { "company": "520013954" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: '520013954'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-il-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "il_company",
"company": "520013954",
"company_id": "520013954",
"human": "# Israel — Corporations Authority — company\n\n- **Number:** 520013954\n- **Pages opened:** 1\n- **Proxy traffic:** 1.3 KB\n- **Name:** טבע תעשיות פרמצבטיות בע\"מ\n- **Status:** פעילה\n- **Type:** ישראלית\n- **Registered:** 1944-02-13\n- **Address:** דבורה הנביאה 124, תל אביב - יפו, 6944020",
"machine": {
"company": {
"registration_number": "520013954",
"name": "טבע תעשיות פרמצבטיות בע\"מ",
"status": "פעילה",
"address": "דבורה הנביאה 124, תל אביב - יפו, 6944020",
"url": null,
"company_type": "ישראלית",
"incorporation_date": "1944-02-13",
"name_en": "TEVA PHARMACEUTICAL INDUSTRIES LIMITED",
"sub_status": null,
"liability": "מוגבלת",
"entity_kind": "חברה",
"last_annual_report_year": 2006,
"violates_law": null,
"purpose": "לעסוק בסוגי עיסוק שפורטו בתקנון",
"description": null,
"government_company": false,
"charitable_company": false,
"fee_debts": "אין",
"yearly_toll": null,
"address_details": {
"city": "תל אביב - יפו",
"street": "דבורה הנביאה",
"house_number": "124",
"entrance": null,
"flat": null,
"zip": "6944020",
"po_box": null,
"country": "ישראל",
"care_of": "טבע תעשיות פרמצבטיות בע\"מ ת.ד. 58153 ת\"א",
"floor": null,
"address_verified": true,
"address_source": "רשמית",
"address_since": "2021-08-01",
"city_abroad": null,
"street_abroad": null,
"house_abroad": null
}
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 1363
},
"total_points": 5
}Company Registries
Israel company
Get one company from the Israel registry (Corporations Authority) by company number: Hebrew and English name, status, registration date, address, company type, liability, purpose and last annual report year. 5 point per returned record.
POST
/
functions
/
v1
/
run-il-companies
Israel company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Company number (מספר חברה). e.g. 520013954
Response
Run completed.